Page MenuHomePhabricator

[mlir] Split out AttrDef/TypeDef and pattern constructs from OpBase.td
ClosedPublic

Authored by rriddle on Jan 31 2022, 10:58 AM.

Details

Summary

OpBase.td has formed into a huge monolith of all ODS constructs. This
commits starts to rectify that by splitting out some constructs to their
own .td files.

Diff Detail

Event Timeline

rriddle created this revision.Jan 31 2022, 10:58 AM
rriddle requested review of this revision.Jan 31 2022, 10:58 AM
Herald added projects: Restricted Project, Restricted Project. · View Herald Transcript

LG for sparse, thin as it is. Heads up, I am about to refactor the attribute definition into its own build module (separate for sparse tensor dialect) to provide a less convoluted build graph. But I will wait with that until this goes in.

LG for sparse, thin as it is. Heads up, I am about to refactor the attribute definition into its own build module (separate for sparse tensor dialect) to provide a less convoluted build graph. But I will wait with that until this goes in.

Do not block yourself on any of this! This was super easy to write, and will likely be super easy to rebase on whatever you do.

jpienaar accepted this revision.Feb 15 2022, 4:27 AM
This revision is now accepted and ready to land.Feb 15 2022, 4:27 AM
rriddle updated this revision to Diff 414787.Mar 11 2022, 7:09 PM
Herald added a project: Restricted Project. · View Herald TranscriptMar 11 2022, 7:09 PM
This revision was landed with ongoing or failed builds.Mar 15 2022, 12:51 AM
This revision was automatically updated to reflect the committed changes.